**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/22.1/vault-objects/object-page-layouts/retrieve-page-layout-metadata.md

# Retrieve Page Layout Metadata



Given a page layout `name`, retrieve the metadata for that specific page layout.

The page layout APIs consider the authenticated user’s permissions, so fields which are hidden from the authenticated user will not be included in the API response. For example, field-level security, object controls, and other object-level permissions are considered. Record-level permissions such as atomic security are not considered. Both active and inactive fields are included in the response.

Layout rules are not applied, but instead have their configurations returned as metadata

<Endpoint path="/api/{version}/metadata/vobjects/{object_name}/page_layouts/{layout_name}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The `name` of the object from which to retrieve page layout metadata. |
| `{layout_name}` | The `name` of the page layout from which to retrieve metadata. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.1/metadata/vobjects/quality_event__qdm/page_layouts/proactive_initiative_detail_page_layout__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "proactive_initiative_detail_page_layout__c",
       "label": "Proactive Initiative Detail Page Layout",
       "object": "quality_event__qdm",
       "object_type": "proactive_initiative__qdm",
       "created_date": "2021-11-09T23:22:05.000Z",
       "last_modified_date": "2021-11-09T23:22:05.000Z",
       "layout_rules": [
           {
               "evaluation_order": 100,
               "status": "active__v",
               "fields_to_hide": [],
               "sections_to_hide": [
                   "effectiveness_check__c"
               ],
               "controls_to_hide": [],
               "expression": "Or(require_effectiveness_check__qdm=FALSE, isBlank(require_effectiveness_check__qdm))"
           }
       ],
       "sections": [
           {
               "name": "details__c",
               "title": "Details",
               "type": "detail",
               "help_content": null,
               "show_in_lifecycle_states": [],
               "properties": {
                   "layout_type": "Two-Columns",
                   "items": [
                       {
                           "type": "field",
                           "reference": "name__v",
                           "status": "active__v"
                       },
                       {
                           "type": "field",
                           "reference": "object_type__v",
                           "status": "active__v"
                       },
                       {
                           "type": "field",
                           "reference": "abbreviation__c",
                           "status": "inactive__v"
                       }
                   ]

               }
           },
           {
               "name": "products__c",
               "title": "Products / Batches",
               "type": "related_object",
               "help_content": null,
               "show_in_lifecycle_states": [],
               "properties": {
                   "relationship": "product_quality_event__qdmr",
                   "related_object": "product_quality_event__qdm",
                   "prevent_record_create": false,
                   "modal_create_record": true,
                   "criteria_vql": null,
                   "columns": [
                       {
                           "reference": "name__v",
                           "width": "179",
                           "status": "active__v"
                       },
                       {
                           "reference": "product__qdmr.name__v",
                           "width": "179",
                           "status": "active__v"
                       }
                   ]
               }
           }
        ]
    }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, returns metadata for the specified page layout, including the `object_type`, `layout_rules`, and `sections`.



---

**Previous:** [Retrieve Page Layouts](/clinical/vault-api/api-reference/22.1/vault-objects/object-page-layouts/retrieve-page-layouts)  
**Next:** [Deep Copy Object Record](/clinical/vault-api/api-reference/22.1/vault-objects/deep-copy-object-record)